Package org.eclipse.gef.palette

# Class PaletteContainer

java.lang.Object
org.eclipse.gef.palette.PaletteEntry
org.eclipse.gef.palette.PaletteContainer

Direct Known Subclasses:
  `PaletteDrawer`, `PaletteGroup`, `PaletteRoot`, `PaletteStack`, `PaletteToolbar`

public class PaletteContainer extends PaletteEntry
Default implementation of PaletteContainer

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<PaletteEntry>`
`children`
This container's contents
`static final String`
`PROPERTY_CHILDREN`
Property name indicating that this PaletteContainer's children have changed

### Fields inherited from class org.eclipse.gef.palette.PaletteEntry

`listeners, PALETTE_TYPE_UNKNOWN, PERMISSION_FULL_MODIFICATION, PERMISSION_HIDE_ONLY, PERMISSION_LIMITED_MODIFICATION, PERMISSION_NO_MODIFICATION, PROPERTY_DEFAULT, PROPERTY_DESCRIPTION, PROPERTY_LABEL, PROPERTY_LARGE_ICON, PROPERTY_PARENT, PROPERTY_SMALL_ICON, PROPERTY_TYPE, PROPERTY_VISIBLE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PaletteContainer(String label, String desc, ImageDescriptor icon, Object type)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`boolean`
`acceptsType(Object type)`
Returns true if this type can be a child of this container.
`void`
`add(int index, PaletteEntry entry)`
Adds the given PaletteEntry at position `index`.
`void`
`add(PaletteEntry entry)`
Adds the given entry to the end of this PaletteContainer
`void`
`addAll(List<? extends PaletteEntry> list)`
Adds the list of `PaletteEntry` objects to this PaletteContainer.
`void`
`appendToSection(String id, PaletteEntry entry)`
Appends the given entry after the entry with the given id, but before the next separator.
`List<? extends PaletteEntry>`
`getChildren()`
`boolean`
`moveDown(PaletteEntry entry)`
Moves the given entry down, if possible.
`boolean`
`moveUp(PaletteEntry entry)`
Moves the given entry up, if possible.
`void`
`remove(PaletteEntry entry)`
Removes the given PaletteEntry from this PaletteContainer
`void`
`setChildren(List<PaletteEntry> list)`
Sets the children of this PaletteContainer to the given list of `PaletteEntry` objects.
`String`
`toString()`

### Methods inherited from class org.eclipse.gef.palette.PaletteEntry

`addPropertyChangeListener, getDescription, getId, getLabel, getLargeIcon, getParent, getSmallIcon, getType, getUserModificationPermission, isVisible, removePropertyChangeListener, setDescription, setId, setLabel, setLargeIcon, setParent, setSmallIcon, setType, setUserModificationPermission, setVisible`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PROPERTY_CHILDREN

public static final String PROPERTY_CHILDREN
Property name indicating that this PaletteContainer's children have changed

See Also:
  - Constant Field Values

### children

protected List<PaletteEntry> children
This container's contents

## Constructor Details

### PaletteContainer

protected PaletteContainer(String label, String desc, ImageDescriptor icon, Object type)
Constructor

Any parameter can be `null`.

Parameters:
  `label` - The container's name
  `desc` - The container's description
  `icon` - The small icon to represent this container
  `type` - The container's type

## Method Details

### acceptsType

public boolean acceptsType(Object type)
Returns true if this type can be a child of this container.

Parameters:
  `type` - the type being requested
Returns:
  true if this can be a child of this container

### add

public void add(PaletteEntry entry)
Adds the given entry to the end of this PaletteContainer

Parameters:
  `entry` - the PaletteEntry to add

### add

public void add(int index, PaletteEntry entry)
Adds the given PaletteEntry at position `index`.

Parameters:
  `index` - position to add the PaletteEntry
  `entry` - the PaletteEntry to add

### addAll

public void addAll(List<? extends PaletteEntry> list)
Adds the list of `PaletteEntry` objects to this PaletteContainer.

Parameters:
  `list` - a list of PaletteEntry objects to add to this PaletteContainer

### appendToSection

public void appendToSection(String id, PaletteEntry entry)
Appends the given entry after the entry with the given id, but before the next separator.

Parameters:
  `id` - the id of the entry to append after
  `entry` - the entry to add

### getChildren

public List<? extends PaletteEntry> getChildren()

Returns:
  the children of this container

### moveDown

public boolean moveDown(PaletteEntry entry)
Moves the given entry down, if possible. This method only handles moving the child within this container.

Parameters:
  `entry` - The entry to be moved
Returns:
  `true` if the given entry was successfully moved down

### moveUp

public boolean moveUp(PaletteEntry entry)
Moves the given entry up, if possible. This method only handles moving the child within this container.

Parameters:
  `entry` - The entry to be moved
Returns:
  `true` if the given entry was successfully moved up

### remove

public void remove(PaletteEntry entry)
Removes the given PaletteEntry from this PaletteContainer

Parameters:
  `entry` - the PaletteEntry to remove

### setChildren

public void setChildren(List<PaletteEntry> list)
Sets the children of this PaletteContainer to the given list of `PaletteEntry` objects.

Parameters:
  `list` - the list of children

### toString

public String toString()

Overrides:
  `toString` in class `PaletteEntry`
See Also:
  - `Object.toString()`